package cn.com.ty.lift.business.maintenance.dao.mapper;

import cn.com.ty.lift.business.maintenance.dao.entity.model.dto.MaintenancePlanMonthTaskNum;
import cn.com.ty.lift.business.maintenance.dao.entity.model.response.PropertyMtResponse;
import cn.com.ty.lift.common.constants.SqlConstants;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDate;
import java.util.List;

public interface PropertyMaintenanceMapper {
    @Select(SqlConstants.QUERY_MAINTENANCE_PLAN_EVERYDAY)
    IPage<PropertyMtResponse> queryMaintenancePlanEveryDay(IPage<PropertyMtResponse> page, Integer status, LocalDate planDate, Long userId);

    @Select(SqlConstants.QUERY_MAINTENANCE_PLAN_EVERYDAY_OVERDUE)
    IPage<PropertyMtResponse> queryMaintenancePlanEveryDayOverdue(IPage<PropertyMtResponse> page, LocalDate planDate, Long userId);

    @Select(SqlConstants.QUERY_MAINTENANCE_PLAN_MONTH_TASK_NUM)
    List<MaintenancePlanMonthTaskNum> queryMaintenancePlanMonth(Long userId, String yearMonth);
}